MockingProgressImpl
Date: 2015-09-18

org.mockito.internal.progress

## Class MockingProgressImpl

- java.lang.Object
- - org.mockito.internal.progress.MockingProgressImpl

- All Implemented Interfaces:
    MockingProgress

      public class MockingProgressImpl
      extends java.lang.Object
      implements MockingProgress

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockingProgressImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArgumentMatcherStorage` | `getArgumentMatcherStorage()`
    `void` | `mockingStarted(java.lang.Object mock, java.lang.Class classToMock)`
    `IOngoingStubbing` | `pullOngoingStubbing()`
    `VerificationMode` | `pullVerificationMode()`
    `void` | `reportOngoingStubbing(IOngoingStubbing iOngoingStubbing)`
    `void` | `reset()`
    `void` | `resetOngoingStubbing()` Removes ongoing stubbing so that in case the framework is misused state validation errors are more accurate
    `void` | `setListener(MockingProgressListener listener)`
    `void` | `stubbingCompleted(Invocation invocation)`
    `void` | `stubbingStarted()`
    `java.lang.String` | `toString()`
    `void` | `validateState()`
    `void` | `verificationStarted(VerificationMode verify)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MockingProgressImpl

          public MockingProgressImpl()

  - ### Method Detail

    - #### reportOngoingStubbing

          public void reportOngoingStubbing(IOngoingStubbing iOngoingStubbing)

      Specified by:
        `reportOngoingStubbing` in interface `MockingProgress`

    - #### pullOngoingStubbing

          public IOngoingStubbing pullOngoingStubbing()

      Specified by:
        `pullOngoingStubbing` in interface `MockingProgress`

    - #### verificationStarted

          public void verificationStarted(VerificationMode verify)

      Specified by:
        `verificationStarted` in interface `MockingProgress`

    - #### resetOngoingStubbing

          public void resetOngoingStubbing()

      Description copied from interface: `MockingProgress`
      Removes ongoing stubbing so that in case the framework is misused state validation errors are more accurate
      Specified by:
        `resetOngoingStubbing` in interface `MockingProgress`

    - #### pullVerificationMode

          public VerificationMode pullVerificationMode()

      Specified by:
        `pullVerificationMode` in interface `MockingProgress`

    - #### stubbingStarted

          public void stubbingStarted()

      Specified by:
        `stubbingStarted` in interface `MockingProgress`

    - #### validateState

          public void validateState()

      Specified by:
        `validateState` in interface `MockingProgress`

    - #### stubbingCompleted

          public void stubbingCompleted(Invocation invocation)

      Specified by:
        `stubbingCompleted` in interface `MockingProgress`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `MockingProgress`

    - #### getArgumentMatcherStorage

          public ArgumentMatcherStorage getArgumentMatcherStorage()

      Specified by:
        `getArgumentMatcherStorage` in interface `MockingProgress`

    - #### mockingStarted

          public void mockingStarted(java.lang.Object mock,
                            java.lang.Class classToMock)

      Specified by:
        `mockingStarted` in interface `MockingProgress`

    - #### setListener

          public void setListener(MockingProgressListener listener)

      Specified by:
        `setListener` in interface `MockingProgress`